Get Utilization For Uplink Id

Get Utilization For Uplink Id
This API returns uplink aggregated metric in ascending order between startTime and endTime, both inclusive (if provided).

This API returns uplink aggregated metric in ascending order between startTime and endTime, both inclusive (if provided). It is recommended that both startTime and endTime should be passed.

Request
URI
GET
https://{server}/hybridity/api/interconnect/underlay/uplinkUtilization/{uplinkId}
COPY
Path Parameters
string
uplinkId
Required

uplinkId for which aggregated metric needs to be fetched

Query Parameters
integer
startTime
Optional

startTime in epoch milliseconds

integer
endTime
Optional

endTime in epoch milliseconds

integer
limit
Optional
Constraints: minimum: 1 maximum: 100

no of records to be returned

string
after
Optional

records to be fetched after. Used for pagination

string
before
Optional

records to be fetched after. Used for pagination


Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns UplinkUtilizationSuccessResponse of type(s) application/json
{
    "links": {
        "next": "string",
        "previous": "string"
    },
    "items": [
        {
            "timestamp": "number",
            "uplinkId": "string",
            "uplinkName": "string",
            "traffic": [
                {
                    "trafficType": "string",
                    "applianceType": "string",
                    "llj": {
                        "jitter": "number",
                        "latency": "number",
                        "lossRate": "number"
                    },
                    "throughput": {
                        "uploadKbps": "number",
                        "downloadKbps": "number"
                    }
                }
            ]
        }
    ],
    "utilizers": [
        {
            "applianceId": "string",
            "applianceName": "string",
            "isParticipating": false,
            "participatingStatus": "string"
        }
    ]
}
object
links
Optional

links

array of object
items
Optional

items

array of object
utilizers
Optional

utilizers


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/underlay/uplinkUtilization/{uplinkId}